chat
Scout API 1.0.0 — see schemas for shared types.
completion
POST /api/chat/completion
chat_completion
Request body
Content-Type: application/json
Schema: ChatCompletionBody
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/chat/completion/
chat_completion
Request body
Content-Type: application/json
Schema: ChatCompletionBody
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/chat/completion/assistant/{assistant_id}
chat_completion
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: ChatCompletionBody
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
functions
GET /api/chat/functions
get_available_functions
Responses
- 200 — OK
application/json→ AvailableFunctionsResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/functions/
get_available_functions
Responses
- 200 — OK
application/json→ AvailableFunctionsResponse- 422 — Unprocessable Content
application/json→ ValidationError
models
GET /api/chat/default-model
get_default_model
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
user_model_id |
query | string | null | no |
Responses
- 200 — OK
application/json→ DefaultModelResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/models
get_models
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
capability_tag |
query | string | null | no | |
info_tag |
query | string | null | no |
Responses
- 200 — OK
application/json→ LLMModelResponseList- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/models/
get_models
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
capability_tag |
query | string | null | no | |
info_tag |
query | string | null | no |
Responses
- 200 — OK
application/json→ LLMModelResponseList- 422 — Unprocessable Content
application/json→ ValidationError
openai_compatible
POST /api/chat/openai_compatible/chat/completions
openai_compatible_chat_completion
Request body
Content-Type: application/json
Schema: OpenAIChatCompletionRequest
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/openai_compatible/export/opencode
export_opencode_config
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
model_ids |
query | array\<string> | null | no | |
only_favorites |
query | boolean | no |
Responses
- 200 — OK
application/json→ CodingAgentConfigExportResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/openai_compatible/export/pi
export_pi_config
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
model_ids |
query | array\<string> | null | no | |
only_favorites |
query | boolean | no |
Responses
- 200 — OK
application/json→ CodingAgentConfigExportResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/openai_compatible/models
get_openai_compatible_models
Responses
- 200 — OK
application/json→ OpenaiCompatibleModelsResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/openai_compatible/models/{model_id}
get_openai_compatible_model
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
model_id |
path | string | yes |
Responses
- 200 — OK
application/json→ OpenaiCompatibleModel- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/chat/openai_compatible/v1/chat/completions
openai_compatible_chat_completion
Request body
Content-Type: application/json
Schema: OpenAIChatCompletionRequest
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/openai_compatible/v1/models
get_openai_compatible_models
Responses
- 200 — OK
application/json→ OpenaiCompatibleModelsResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/chat/openai_compatible/v1/models/{model_id}
get_openai_compatible_model
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
model_id |
path | string | yes |
Responses
- 200 — OK
application/json→ OpenaiCompatibleModel- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/chat/openai_compatible/{assistant_id}/chat/completions
openai_compatible_chat_completion_with_assistant
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: OpenAIChatCompletionRequest
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/chat/openai_compatible/{assistant_id}/v1/chat/completions
openai_compatible_chat_completion_with_assistant
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: OpenAIChatCompletionRequest
Responses
- 200 — OK
application/json→ ChatCompletionResponse- 422 — Unprocessable Content
application/json→ ValidationError